ThreadDeath (Java Platform SE 8 )
Keywords: java.lang.ThreadDeath class
Date: 2016-12-09

compact1, compact2, compact3
java.lang

## Class ThreadDeath

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.ThreadDeath

- All Implemented Interfaces:
    Serializable

      public class ThreadDeath
      extends Error

  An instance of `ThreadDeath` is thrown in the victim thread when the (deprecated) `Thread.stop()` method is invoked.

  An application should catch instances of this class only if it must clean up after being terminated asynchronously. If `ThreadDeath` is caught by a method, it is important that it be rethrown so that the thread actually dies.

  The top-level error handler does not print out a message if `ThreadDeath` is never caught.

  The class `ThreadDeath` is specifically a subclass of `Error` rather than `Exception`, even though it is a "normal occurrence", because many applications catch all occurrences of `Exception` and then discard the exception.

  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadDeath()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadDeath

          public ThreadDeath()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.